import 'package:dbx_platform/dbx_platform.dart';
import 'package:test/test.dart';
import 'dart:io';

const String accessToken = "sl.BGNUszaYpjIUefvci-9uw73QgBB9JjPyGTgCtXCVKA0qYpze-tSB1BZ3G8X41-Xx08YAVrJOKfTskM6VRJilkEjZq8Sd4LJCqEwrDipsofqWeOJjT6gR9K8MH3jXbElZmIW3v0Sa";
const String appKey = "4t391lu5bh0jo19";
const String appSecret = "4t391lu5bh0jo19";
void main() {
  DBX dbx = DBX(
    accessToken: accessToken, 
    appKey: appKey, 
    appSecret: appSecret,
  );
  test("Folder creation test", ()async{
    print(await dbx.createFolder(
        folderToCreate: Directory("/test"),
      ),
    );
  });
  test("Folder exists", ()async{
    print(await dbx.folderExists(
        folderToCheck: Directory("/test"),
      ),
    );
  });
  test("Delete folder", ()async{
    print(await dbx.deleteFolder(
        folderToDelete: Directory("/test"),
      ),
    );
  });
  test("File creation test", ()async{
    print(await dbx.createFile(
        fileToUpload: File("./test_assets/test.odt"), 
        path: "/test.odt", 
        mode: WriteMode.add,
        mute: true,
      )
    );
  });
  test("File exists test", ()async{
    print(await dbx.fileExists(
        fileToCheck: File("/test.odt"),
      ),
    );
  });
  test("File deletion test", ()async{
    print(await dbx.deleteFile(
        fileToDelete: File("/test.odt"),
      ),
    );
  });
}
